// This file was generated by gir (https://github.com/gtk-rs/gir)
// from
// from gir-files (https://github.com/gtk-rs/gir-files.git)
// DO NOT EDIT

use crate::GraphModel;
use glib::{prelude::*, translate::*};
use std::fmt;

glib::wrapper! {
    #[doc(alias = "DzlCpuModel")]
    pub struct CpuModel(Object<ffi::DzlCpuModel, ffi::DzlCpuModelClass>) @extends GraphModel;

    match fn {
        type_ => || ffi::dzl_cpu_model_get_type(),
    }
}

impl CpuModel {
    #[doc(alias = "dzl_cpu_model_new")]
    pub fn new() -> CpuModel {
        assert_initialized_main_thread!();
        unsafe { GraphModel::from_glib_full(ffi::dzl_cpu_model_new()).unsafe_cast() }
    }
}

impl Default for CpuModel {
    fn default() -> Self {
        Self::new()
    }
}

impl fmt::Display for CpuModel {
    fn fmt(&self, f: &mut fmt::Formatter) -> fmt::Result {
        f.write_str("CpuModel")
    }
}
